package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class ComboTipoRiferimentoCreditore.
 * @see sicura.entities.ComboTipoRiferimentoCreditore
 * @author Hibernate Tools
 */
@Stateless
public class ComboTipoRiferimentoCreditoreHome {

	private static final Log log = LogFactory.getLog(ComboTipoRiferimentoCreditoreHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(ComboTipoRiferimentoCreditore transientInstance) {
		log.debug("persisting ComboTipoRiferimentoCreditore instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(ComboTipoRiferimentoCreditore persistentInstance) {
		log.debug("removing ComboTipoRiferimentoCreditore instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public ComboTipoRiferimentoCreditore merge(ComboTipoRiferimentoCreditore detachedInstance) {
		log.debug("merging ComboTipoRiferimentoCreditore instance");
		try {
			ComboTipoRiferimentoCreditore result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public ComboTipoRiferimentoCreditore findById(Integer id) {
		log.debug("getting ComboTipoRiferimentoCreditore instance with id: " + id);
		try {
			ComboTipoRiferimentoCreditore instance = entityManager.find(ComboTipoRiferimentoCreditore.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
